Bug 50508 - postgresql-common: Multiple issues (4.3)
postgresql-common: Multiple issues (4.3)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.3
All Linux
: P5 normal (vote)
: UCS 4.3-5-errata
Assigned To: Quality Assurance
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-18 08:02 CET by Quality Assurance
Modified: 2019-11-20 14:07 CET (History)
0 users

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 0.0 () Debian


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Quality Assurance univentionstaff 2019-11-18 08:02:31 CET
New Debian postgresql-common 181+deb9u3A~4.3.5.201911180802 fixes:
This update addresses the following issue:
* postgresql-common (CVE-2019-3466)
Comment 1 Quality Assurance univentionstaff 2019-11-18 13:00:24 CET
--- mirror/ftp/4.3/unmaintained/4.3-2/source/postgresql-common_181+deb9u2A~4.3.1.201808081329.dsc
+++ apt/ucs_4.3-0-errata4.3-5/source/postgresql-common_181+deb9u3A~4.3.0.201911181241.dsc
@@ -1,8 +1,16 @@
-181+deb9u2A~4.3.1.201808081329 [Wed, 08 Aug 2018 13:47:48 +0200] Univention builddaemon <buildd@univention.de>:
+181+deb9u3A~4.3.0.201911181241 [Mon, 18 Nov 2019 12:41:22 +0100] Univention builddaemon <buildd@univention.de>:
 
   * UCS auto build. The following patches have been applied to the original source package
     01-autostart-setting
     02-emit-supported-postgresql-versions
+
+181+deb9u3 [Tue, 12 Nov 2019 15:00:36 +0100] Christoph Berg <myon@debian.org>:
+
+  * pg_ctlcluster: Drop privileges before creating socket and stats temp
+    directories outside /var/run/postgresql. The default configuration is not
+    affected by this change. Users with directories on volatile storage
+    (tmpfs) in other locations have to make sure the parent directory is
+    writable for the cluster owner. (CVE-2019-3466, discovered by Rich Mirch)
 
 181+deb9u2 [Fri, 08 Jun 2018 11:16:28 +0200] Christoph Berg <christoph.berg@credativ.de>:
 

<http://10.200.17.11/4.3-5/#3970831263106733226>
Comment 2 Philipp Hahn univentionstaff 2019-11-18 15:30:07 CET
OK: yaml
OK: announce_errata
OK: patch
OK: piuparts

[4.3-5] ea2f08c49e Bug #50508: postgresql-common 181+deb9u3A~4.3.0.201911181241
 doc/errata/staging/postgresql-common.yaml | 14 ++++++++++++++
 1 file changed, 14 insertions(+)
Comment 3 Arvid Requate univentionstaff 2019-11-20 14:07:15 CET
<http://errata.software-univention.de/ucs/4.3/617.html>